Skip to main content
GET
list Transactions

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: x >= 1
starting_after
integer

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
integer

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

order
string
default:asc

Order the List of Transactions in either asc, ascending, or desc, descending order.

account
string
required

Limit the transaction list to a specified account id or vid - if specified, all Transactions associated with that Account. Either Account or subscription required

subscription
string
required

Limit the transaction list to a specified subscription id or vid - if specified, all Transactions associated with that subscription.Either Account or subscription required

include_children
string
default:false

Indicates whether or not to return any existing child accounts’ transactions for a given returned Subscription/account combination.

campaign
string

Limit the transaction list to a specified campaign id or vid - if specified, all Transactions associated with that campaign.

coupon
string

Limit the transaction list to a specified campaign coupon - if specified, all Transactions associated with that campaign coupon.

starts
string

Limit the transaction list to a specified campaign start datetime

ends
string

Limit the transaction list to a specified campaign end datetime.

source_payment_method
string

Limit the transaction list to a specified PaymentMethod type.

Response

JSON A list array with a data property that contains an array of up to limit Transactions, starting after the specified starting_after Transaction (or ending before the specified ending_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error. A list of Transaction objects matching the query. Also: total_count: Integer count of the number of Transaction objects in the returned list. url: The query string provided in the request next: The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here previous: The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here

A list of Transaction.

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.